"""create table for books
Revision ID: 7a3c9f2e8a5d
Revises: 0001
Create Date: 2023-05-23 15:20:44.836159

"""
from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision = '7a3c9f2e8a5d'
down_revision = '0001'
branch_labels = None
depends_on = None

def upgrade():
    op.create_table(
        'books',
        sa.Column('id', sa.String(36), primary_key=True, server_default=sa.text("uuid_generate_v4()")),
        sa.Column('title', sa.String(), nullable=False),
        sa.Column('author', sa.String(), nullable=False),
        sa.Column('description', sa.String(), nullable=True),
        sa.Column('genre', sa.String(), nullable=True),
        sa.Column('pages', sa.Integer(), nullable=True),
        sa.Column('publisher_id', sa.String(36), nullable=True),
        sa.Column('created_at', sa.DateTime(), server_default=sa.func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=sa.func.now(), onupdate=sa.func.now()),
        sa.ForeignKeyConstraint(['publisher_id'], ['publishers.id'], )
    )

def downgrade():
    op.drop_table('books')